
QGIS Application - Bug report #11930

Selection in rotated maps does not work always as expected

2014-12-30 05:27 AM - Giovanni Manghi

Status: Closed

Priority: Normal

Assignee: Sandro Santilli

Category: Map Canvas

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 20139

Description

see attached screencast

History

#1 - 2014-12-30 06:59 AM - Sandro Santilli

Did you verify those "unselectable" polygons to be selectable while rotation is not active ?

#2 - 2014-12-30 07:13 AM - Sandro Santilli

Nevermind, I tried myself and confirm it works with rotation non-active. While the "Coordinate" widget shows the same coordinate, non-rotated canvas

succeeds at selecting a feature while rotated canvas fails.

#3 - 2015-01-02 03:23 PM - Sandro Santilli

Giovanni, can you confirm the problem only appears when rotation is exactly 45 degrees ? Things work for me just fine with rotation of 46 or 44 degrees...

#4 - 2015-01-03 08:17 AM - Sandro Santilli

Also, it's only with select by point. If you select by rectangle it works.

#5 - 2015-01-03 08:18 AM - Sandro Santilli

Probably related to #11865

#6 - 2015-01-03 08:25 AM - Sandro Santilli

- Resolution set to fixed/implemented

- Status changed from Open to Closed

- % Done changed from 0 to 100

Fixed by commit df49538298c7e9f5ff596efbe4c9f65d2d511c8f
